aboutsummaryrefslogtreecommitdiffstats
path: root/testing/vice/APKBUILD
diff options
context:
space:
mode:
authorJean-Louis Fuchs <ganwell@fangorn.ch>2017-01-24 21:54:55 +0100
committerLeonardo Arena <rnalrd@alpinelinux.org>2017-01-25 09:03:07 +0000
commite22073c1c7f7b8ce3fb8e8fa956153fad93501d4 (patch)
treeb5d9dc79abe595d8c02bf67a50cc45e0cab613d0 /testing/vice/APKBUILD
parenta13f26f5c5892f3ec379ebb4f478bd0e2101c711 (diff)
downloadaports-e22073c1c7f7b8ce3fb8e8fa956153fad93501d4.tar.gz
aports-e22073c1c7f7b8ce3fb8e8fa956153fad93501d4.tar.bz2
aports-e22073c1c7f7b8ce3fb8e8fa956153fad93501d4.tar.xz
testing/vice: new aport
Diffstat (limited to 'testing/vice/APKBUILD')
-rw-r--r--testing/vice/APKBUILD50
1 files changed, 50 insertions, 0 deletions
diff --git a/testing/vice/APKBUILD b/testing/vice/APKBUILD
new file mode 100644
index 0000000000..cba38c709c
--- /dev/null
+++ b/testing/vice/APKBUILD
@@ -0,0 +1,50 @@
+# Contributor: Jean-Louis Fuchs <ganwell@fangorn.ch>
+# Maintainer: Jean-Louis Fuchs <ganwell@fangorn.ch>
+pkgname=vice
+pkgver=3.0
+pkgrel=0
+pkgdesc="emulates the C64/DTV, C128, VIC20, almost all PETs, PLUS4 and CBM-II"
+url="http://vice-emu.sourceforge.net/"
+arch="all"
+license="GPL"
+depends=""
+makedepends="sdl2-dev giflib-dev ffmpeg-dev jpeg-dev alsa-lib-dev
+ linux-headers texinfo automake autoconf bison flex"
+install=""
+subpackages="$pkgname-doc"
+source="http://downloads.sourceforge.net/vice-emu/vice-$pkgver.tar.gz
+ disable-fc-cache.patch
+ fix__u_char.patch"
+builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+ sed -i 's/\r//' "$builddir"/src/opencbm.h || return 1
+ default_prepare || return 1
+ sed -i 's/lib64/lib/g' configure.ac || return 1
+ autoreconf -fi || return 1
+}
+
+build() {
+ cd "$builddir"
+ ./configure --prefix=/usr \
+ --libdir=/usr/lib \
+ --enable-sdlui2 \
+ --disable-no-pic \
+ --enable-external-ffmpeg \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" realdocdir="/usr/share/doc/vice" install || return 1
+}
+md5sums="c732d76a70ac1232a43456dae540b43a vice-3.0.tar.gz
+b1dee4fef59f835534683fabbe1fbbce disable-fc-cache.patch
+f562fcd4ce5b6a72008cc46d9ed19881 fix__u_char.patch"
+sha256sums="bc56811381920d43ab5f2f85a5e08f21ab5bdf6190dd5dfe9f500a745d14972b vice-3.0.tar.gz
+8058210e092c4943a55baeff47e6d5f3661aeb3686fd1f75e07f47888da9cc98 disable-fc-cache.patch
+6e888ea744659e1da2f1d4df57e0bf9bf031b8ad8414b08581f085c6336c9a77 fix__u_char.patch"
+sha512sums="60d33e644d9977df81ffbdceff8c4feec750de9597cfa9f37c4aa236eabbf507373e6f936e2cc3b06f3e7298e0390d1e098242bfacd6435e628a13991a6a452b vice-3.0.tar.gz
+ed6fee34eefcb04c42b4575591dfeffca8548eae354dee66dabdbc4abac0311cbbedcdc07cdfcb01da4840d57ab331a31583e17160820462a2c064835a75d75d disable-fc-cache.patch
+3132be50c402068865b530ed9df71a073012623ce48e3fa162f33af7bdcdd6d890590955868bb5591e018c17359e860ccff9eb0cde9bfd99582ac921400e8f2f fix__u_char.patch"